> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# تسجيل المستهلك

> ينشئ حساب مستهلك جديد. لا يتطلب مصادقة.

تسجيل حساب مستهلك جديد (B2C). ينشئ مستأجرًا شخصيًا، ومؤسسة، ومستخدمًا. حقل company\_name اختياري - إذا تم حذفه، فإنه يتم تعيينه افتراضيًا إلى اسم المستخدم + 's Workspace'. بعد التسجيل، يتم إرسال رابط التحقق من البريد الإلكتروني. يتم المطالبة تلقائيًا بالتسليمات المعلقة في صندوق الوارد (الاعتمادات التي تم إنشاؤها قبل التسجيل).

### الاستجابات


## OpenAPI

````yaml ar/mint-openapi.yaml POST /v1/consumer/signup
openapi: 3.0.3
info:
  title: Truthlocks API
  description: >
    Truthlocks هي بنية تحتية عالمية للتحقق من المستندات وبيانات الاعتماد والأصول
    الرقمية.يحدد هذا المواصفات واجهة برمجة التطبيقات (API) الأساسية للتفاعل مع
    خدمات Truthlocks.


    ## عناوين URL الأساسية

    - **الإنتاج**: `https://api.truthlocks.com`

    - **البيئة التجريبية (Sandbox)**: `https://sandbox-api.truthlocks.com`


    ## المصادقة

    - **مفاتيح API**: استخدم رأس `X-API-Key` للعمليات من جهاز إلى جهاز

    - **رموز Bearer**: استخدم `Authorization: Bearer <jwt>` للعمليات التي يبدأها
    المستخدم


    ## هوية المستأجر

    في بيئة الإنتاج، تُستمد هوية المستأجر من السياق المصادق عليه (مفتاح API أو
    JWT).

    يتم تجاهل رأس `X-Tenant-ID` في بيئة الإنتاج لمنع الانتحال.
  version: 1.0.0
  contact:
    name: Truthlocks Support
    url: https://truthlocks.com/support
    email: support@truthlocks.com
servers:
  - url: https://api.truthlocks.com
    description: واجهة برمجة تطبيقات الإنتاج
  - url: https://sandbox-api.truthlocks.com
    description: بيئة اختبار (Sandbox)
security:
  - APIKey: []
  - BearerAuth: []
tags:
  - name: Authentication
    description: إدارة مفاتيح ورموز API
  - name: Issuers
    description: تسجيل المصدر وإدارة الثقة
  - name: Keys
    description: إدارة المفاتيح التشفيرية لجهات الإصدار
  - name: Attestations
    description: دورة حياة الإشهاد (السك، الإلغاء، الاستبدال)
  - name: Verification
    description: حزم التحقق والإثبات للإشهاد
  - name: Governance
    description: سير عمل حوكمة المصدر (للمسؤول فقط)
  - name: Identity
    description: إدارة المنظمة والمستخدمين والأدوار
  - name: Audit
    description: استعلامات أحداث التدقيق
  - name: Tenant Console
    description: ملف تعريف المستأجر ونقاط نهاية دورة الحياة
  - name: Health
    description: نقاط نهاية صحة الخدمة وجاهزيتها
  - name: Risk
    description: استيعاب إشارة المخاطر واكتشاف الاحتيال
  - name: Risk Enforcement
    description: إجراءات إنفاذ المخاطر — الحظر والتحدي والحجر والتكوين
  - name: Billing
    description: إدارة الفوترة والاشتراكات والإضافات
  - name: Machine Identity
    description: >-
      بروتوكول هوية وكيل الآلة (MAIP) — تسجيل الوكيل، الجلسات، الثقة، الشهادة،
      الامتثال، التنسيق، والمراقبة
externalDocs:
  description: واجهة برمجة تطبيقات الشفافية للقراءة فقط (مواصفات خدمة منفصلة)
  url: >-
    https://github.com/truthlocks/truthlock/blob/main/docs/transparency/openapi.yaml
paths:
  /v1/consumer/signup:
    post:
      tags:
        - Consumer
      summary: تسجيل المستهلك
      description: ينشئ حساب مستهلك جديد. لا يتطلب مصادقة.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                business_type:
                  type: string
                company_name:
                  type: string
                country_code:
                  type: string
                  pattern: ^[A-Z]{2}$
                  example: NG
                  description: >-
                    بلد الفوترة المسجل وفقًا لمعيار ISO. يجب على الموظفين التحقق
                    من الأدلة الداعمة قبل الفوترة المدفوعة.
                email:
                  type: string
                  format: email
                name:
                  type: string
                password:
                  type: string
                  format: password
                signup_type:
                  type: string
                  description: عيّن إلى 'tenant' لتسجيلات وحدة التحكم
              type: object
              required:
                - email
                - password
                - country_code
      responses:
        '201':
          description: تم إنشاء الحساب
          content:
            application/json:
              schema:
                type: object
                properties:
                  user_id:
                    type: string
                    format: uuid
                  tenant_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    example: created
      security: []
components:
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: مفتاح API للمصادقة من جهاز إلى جهاز
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT للعمليات التي يبدأها المستخدم

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.